commit:     6bf57511643af116231bfe9bb00176f4ae8662d1
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 13 13:08:53 2021 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Tue Jul 13 13:11:06 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6bf57511

sci-libs/szip: bump to 2.1.1 and EAPI 8

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 sci-libs/szip/Manifest          |  1 +
 sci-libs/szip/szip-2.1.1.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/sci-libs/szip/Manifest b/sci-libs/szip/Manifest
index 8514ce8c09e..d322f045334 100644
--- a/sci-libs/szip/Manifest
+++ b/sci-libs/szip/Manifest
@@ -1 +1,2 @@
+DIST szip-2.1.1.tar.gz 415774 BLAKE2B 
e0f8d1f6528801c422a4db0f0cad43dd2c17f913dfff85962f4b4d448176903bcb385f631d32c5328cfb114527220baa9fb7d560364f700a61d4930ce799a7a4
 SHA512 
ada6406efb096cd8a2daf8f9217fe9111a96dcae87e29d1c31f58ddd2ad2aa7bac03f23c7205dc9360f3b62d259461759330c7189ef0c2fe559704b1ea9d40dd
 DIST szip-2.1.tar.gz 383219 BLAKE2B 
84e10763bcec885a423d64c2c3cff0632d7a6a39c8cd177cf607f549cb4cd02a4ca03362464c2c4ec4539c80149493329427f529f5d6daea4a35b91af6fa1538
 SHA512 
bb7e0af6dfaaaaa85013ef52e6901d5b7b6159795338d285c2e843bd2879230a6397fb072662fdfeda5690981db4e9af94782c057bf993f92516d92a8934cb75

diff --git a/sci-libs/szip/szip-2.1.1.ebuild b/sci-libs/szip/szip-2.1.1.ebuild
new file mode 100644
index 00000000000..cf6d7a96476
--- /dev/null
+++ b/sci-libs/szip/szip-2.1.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Extended-Rice lossless compression algorithm implementation"
+HOMEPAGE="https://www.hdfgroup.org/doc_resource/SZIP/";
+SRC_URI="https://support.hdfgroup.org/ftp/lib-external/${PN}/${PV}/src/${P}.tar.gz";
+
+LICENSE="szip"
+SLOT="0/2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+RDEPEND="!sci-libs/libaec[szip]"
+DEPEND=""
+
+DOCS=( RELEASE.txt HISTORY.txt test/example.c )
+
+src_configure() {
+       econf $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+
+       if ! use static-libs; then
+               find "${ED}" -name '*.la' -delete || die
+       fi
+}

Reply via email to